## Create a new AI Gateway Dynamic Route Deployment. `client.aiGateway.dynamicRouting.createDeployment(stringgatewayId, stringid, DynamicRoutingCreateDeploymentParamsparams, RequestOptionsoptions?): DynamicRoutingCreateDeploymentResponse` **post** `/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/routes/{id}/deployments` Create a new AI Gateway Dynamic Route Deployment. ### Parameters - `gatewayId: string` - `id: string` - `params: DynamicRoutingCreateDeploymentParams` - `account_id: string` Path param - `version_id: string` Body param ### Returns - `DynamicRoutingCreateDeploymentResponse` - `id: string` - `created_at: string` - `elements: Array` - `UnionMember0` - `id: string` - `outputs: Outputs` - `next: Next` - `elementId: string` - `type: "start"` - `"start"` - `UnionMember1` - `id: string` - `outputs: Outputs` - `false: False` - `elementId: string` - `true: True` - `elementId: string` - `properties: Properties` - `conditions?: unknown` - `type: "conditional"` - `"conditional"` - `UnionMember2` - `id: string` - `outputs: Record` - `elementId: string` - `type: "percentage"` - `"percentage"` - `UnionMember3` - `id: string` - `outputs: Outputs` - `fallback: Fallback` - `elementId: string` - `success: Success` - `elementId: string` - `properties: Properties` - `key: string` - `limit: number` - `limitType: "count" | "cost"` - `"count"` - `"cost"` - `window: number` - `type: "rate"` - `"rate"` - `UnionMember4` - `id: string` - `outputs: Outputs` - `fallback: Fallback` - `elementId: string` - `success: Success` - `elementId: string` - `properties: Properties` - `model: string` - `provider: string` - `retries: number` - `timeout: number` - `type: "model"` - `"model"` - `UnionMember5` - `id: string` - `outputs: Record` - `elementId: string` - `type: "end"` - `"end"` - `gateway_id: string` - `modified_at: string` - `name: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.aiGateway.dynamicRouting.createDeployment('54442216', '54442216', { account_id: '0d37909e38d3e99c29fa2cd343ac421a', version_id: '54442216', }); console.log(response.id); ``` #### Response ```json { "result": { "id": "id", "created_at": "2019-12-27T18:11:19.117Z", "elements": [ { "id": "id", "outputs": { "next": { "elementId": "elementId" } }, "type": "start" } ], "gateway_id": "gateway_id", "modified_at": "2019-12-27T18:11:19.117Z", "name": "name" }, "success": true } ```